=== debian/changelog ===
easyrpg-player (0.8.1.1-2+7.3) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 02 Oct 2025 00:07:07 +0000

easyrpg-player (0.8.1.1-2) unstable; urgency=low

  * OBS rebuild

 -- carstene1ns <dev@ f4ke .de>  Thu, 25 Sep 2025 02:36:53 +0200

easyrpg-player (0.8.1.1-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Sun, 15 Jun 2025 22:32:45 +0200

easyrpg-player (0.8.1-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Tue, 08 Apr 2025 11:51:17 +0200

easyrpg-player (0.8-2) unstable; urgency=low

  * OBS rebuild
  * Update patches

 -- carstene1ns <dev@ f4ke .de>  Tue, 13 Feb 2024 00:34:28 +0100

easyrpg-player (0.8-1) unstable; urgency=low

  * Upstream update

 -- Ghabry <gabriel@ mastergk .de>  Tue, 30 May 2023 02:31:24 +0200

easyrpg-player (0.7.0-4) unstable; urgency=low

  * OBS rebuild

 -- carstene1ns <dev@ f4ke .de>  Tue, 14 Jun 2022 22:55:41 +0200

easyrpg-player (0.7.0-3) unstable; urgency=low

  * OBS rebuild

 -- carstene1ns <dev@ f4ke .de>  Sun, 13 Mar 2022 21:52:35 +0100

easyrpg-player (0.7.0-2) unstable; urgency=low

  * Cleanup
  * patch ALSA detection

 -- carstene1ns <dev@ f4ke .de>  Mon, 01 Nov 2021 14:42:23 +0100

easyrpg-player (0.7.0-1) unstable; urgency=low

  * Upstream update
  * New dependencies
  * Remove patch for old SDL2

 -- carstene1ns <dev@ f4ke .de>  Sun, 31 Oct 2021 21:39:23 +0100

easyrpg-player (0.6.2.3-1) unstable; urgency=low

  * Upstream update
  * Remove outdated patch

 -- carstene1ns <dev@ f4ke .de>  Sun, 20 Dec 2020 19:06:22 +0100

easyrpg-player (0.6.2.1-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Wed, 15 Jul 2020 17:17:48 +0100

easyrpg-player (0.6.2-2) unstable; urgency=low

  * Enable mp3/opus/harfbuzz support

 -- carstene1ns <dev@ f4ke .de>  Sat, 02 May 2020 17:20:24 +0100

easyrpg-player (0.6.2-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Mon, 27 Apr 2020 19:07:30 +0100

easyrpg-player (0.6.1-1) unstable; urgency=low

  * Upstream update
  * Remove gcc 4.7 / Debian 7 patches

 -- carstene1ns <dev@ f4ke .de>  Thu, 29 Aug 2019 01:32:00 +0100

easyrpg-player (0.6.0-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Mon, 04 Mar 2019 00:32:00 +0100

easyrpg-player (0.5.4-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Sat, 27 Oct 2018 23:35:00 +0100

easyrpg-player (0.5.3-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Sun, 22 Oct 2017 23:18:00 +0100

easyrpg-player (0.5.2-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Wed, 28 Jun 2017 23:09:00 +0100

easyrpg-player (0.5.1-1) unstable; urgency=low

  * Upstream update
  * Try to use 'libpng-dev' package, as newer Ubuntu versions have
    switched from 1.2 to 1.6 series. Older ones provide it virtually

 -- carstene1ns <dev@ f4ke .de>  Sun, 16 Apr 2017 23:02:00 +0100

easyrpg-player (0.5.0-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Sat, 24 Sep 2016 01:48:00 +0100

easyrpg-player (0.4.1-2) unstable; urgency=low

  * Checksum update

 -- carstene1ns <dev@ f4ke .de>  Sun, 20 Mar 2016 15:48:00 +0100

easyrpg-player (0.4.1-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Sat, 19 Mar 2016 03:21:00 +0100

easyrpg-player (0.4.0-1) unstable; urgency=low
 
  * Initial release

 -- carstene1ns <dev@ f4ke .de>  Mon, 04 Jan 2016 19:35:50 +0100
