=== debian/control ===
Source: easyrpg-player
Section: games
Priority: optional
Maintainer: carstene1ns <dev@ f4ke .de>
Build-Depends: debhelper (>= 11), cmake (>= 3.18), pkg-config, liblcf-dev,
 libsdl2-dev, libfmt-dev, libpixman-1-dev, libpng-dev, libfreetype6-dev,
 libharfbuzz-dev, libogg-dev, libvorbis-dev, libspeexdsp-dev, libsndfile-dev,
 libopusfile-dev, libmpg123-dev, libfluidsynth-dev, fluidsynth, liblhasa-dev
Standards-Version: 4.6.0
Homepage: https://easyrpg.org

Package: easyrpg-player
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RPG Maker 2000/2003 and EasyRPG game interpreter
 EasyRPG Player is a program that allows to play games created with
 RPG Maker 2000 and 2003. It aims to be a free (as in freedom)
 cross-platform RPG Maker 2000/2003 interpreter. The main goal is
 to play all games created with them as the original game interpreter
 (RPG_RT.exe) does.
